$(document).ready(function() {
    var dates = ["Salah", "datetime"];

    var salah = [
        { "Salah": "Fajr", "datetime": { "15-05-2021": "04:00", "16-05-2021": "04:01", "17-05-2021": "04:02", "18-05-2021": "04:03", "19-05-2021": "04:04",
         "20-05-2021": "04:05", "21-05-2021": "04:05", "22-05-2021": "04:05", "23-05-2021": "04:05", "24-05-2021": "04:05", "25-05-2021": "04:05",
          "26-05-2021": "04:05", "27-05-2021": "04:05", "28-05-2021": "04:05", "29-05-2021": "04:05", "30-05-2021": "04:05", "31-05-2021": "04:05" } },
        { "Salah": "Duhr", "datetime": { "15-05-2021": "13:00", "16-05-2021": "13:01", "17-05-2021": "13:02", "18-05-2021": "13:03", "19-05-2021": "13:04",
         "20-05-2021": "13:05", "21-05-2021": "13:06", "22-05-2021": "13:07", "23-05-2021": "13:08", "24-05-2021": "13:09", "25-05-2021": "13:10",
          "26-05-2021": "13:11", "27-05-2021": "13:12", "28-05-2021": "13:13", "29-05-2021": "13:14", "30-05-2021": "13:15", "31-05-2021": "13:16" } },
        { "Salah": "Asr", "datetime": { "15-05-2021": "17:00", "16-05-2021": "17:01", "17-05-2021": "17:02", "18-05-2021": "17:03", "19-05-2021": "17:04",
         "20-05-2021": "17:05", "21-05-2021": "17:06", "22-05-2021": "17:07", "23-05-2021": "17:08", "24-05-2021": "17:09", "25-05-2021": "17:10",
          "26-05-2021": "17:11", "27-05-2021": "17:12", "28-05-2021": "17:13", "29-05-2021": "17:14", "30-05-2021": "17:15", "31-05-2021": "17:16" } },
        { "Salah": "Magrib", "datetime": { "15-05-2021": "18:00", "16-05-2021": "18:01", "17-05-2021": "18:02", "18-05-2021": "18:03", "19-05-2021": "18:04",
         "20-05-2021": "18:05", "21-05-2021": "18:06", "22-05-2021": "18:07", "23-05-2021": "18:08", "24-05-2021": "18:09", "25-05-2021": "18:10",
          "26-05-2021": "18:11", "27-05-2021": "18:12", "28-05-2021": "18:13", "29-05-2021": "18:14", "30-05-2021": "18:15", "31-05-2021": "18:16" } },
        { "Salah": "Isha", "datetime": { "15-05-2021": "20:00", "16-05-2021": "20:01", "17-05-2021": "20:02", "18-05-2021": "20:03", "19-05-2021": "20:04",
         "20-05-2021": "20:05", "21-05-2021": "20:06", "22-05-2021": "20:07", "23-05-2021": "20:08", "24-05-2021": "20:09", "25-05-2021": "20:10",
          "26-05-2021": "20:11", "27-05-2021": "20:12", "28-05-2021": "20:13", "29-05-2021": "20:14", "30-05-2021": "20:15", "31-05-2021": "20:16" } }
    ];

    $(dates).each(function(index, value) {
        var content = `<th>${value}</th>`;
        $("table thead tr").append(content);
    });

    $(salah).each(function(index, object) {
        var content = `<tr>
             <td>${object.Salah}</td>
             <td>
                <ul>
                    <li>
                    15-05-2021:${object["datetime"]["15-05-2021"]}
                    </li>
                    <li>
                    16-05/2021:${object["datetime"]["16-05-2021"]}
                    </li>
                    <li>
                    17/05-2021:${object["datetime"]["17-05-2021"]}
                    </li>
                    <li>
                    18/05-2021:${object["datetime"]["18-05-2021"]}
                    </li>
                    <li>
                    19-05-2021:${object["datetime"]["19-05-2021"]}
                    </li>
                    <li>
                    20-05-2021:${object["datetime"]["20-05-2021"]}
                    </li>
                    <li>
                    21-05-2021:${object["datetime"]["21-05-2021"]}
                    </li>
                    <li>
                    22-05-2021:${object["datetime"]["22-05-2021"]}
                    </li>
                    <li>
                    23-05-2021:${object["datetime"]["23-05-2021"]}
                    </li>
                    <li>
                    24-05-2021:${object["datetime"]["24-05-2021"]}
                    </li>
                    <li>
                    25/05-2021:${object["datetime"]["25-05-2021"]}
                    </li>
                    <li>
                    26-05-2021:${object["datetime"]["26-05-2021"]}
                    </li>
                    <li>
                    27-05-2021:${object["datetime"]["27-05-2021"]}
                    </li>
                    <li>
                    28-05-2021:${object["datetime"]["28-05-2021"]}
                    </li>
                    <li>
                    29-05-2021:${object["datetime"]["29-05-2021"]}
                    </li>
                    <li>
                    30-05-2021:${object["datetime"]["30-05-2021"]}
                    </li>
                    <li>
                    31-05-2021:${object["datetime"]["31-05-2021"]}
                    </li>
                </ul>
            </td>
        </tr>`;
        $("tbody").append(content);
    });

});